# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class CurrencySerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Currency
        fields = '__all__'


class CurrencySerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Currency
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class CurrencySerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Currency
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
