# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^currency/$',
        views.CurrencyList.as_view(),
        name='currency_list'
    ),
    url(
        r'^currency/(?P<pk>\w+)/retrieve/$',
        views.CurrencyRetrieve.as_view(),
        name='currency_retrieve'
    ),
    url(
        r'^currency/create/$',
        views.CurrencyCreate.as_view(),
        name='currency_create'
    ),
    url(
        r'^currency/(?P<pk>\w+)/update/$',
        views.CurrencyUpdate.as_view(),
        name='currency_update'
    ),
]
